<script lang='ts'>
    export let text = '';

    let isHovered = false;
    let x:number;
    let y:number;

    function mouseOver(event:MouseEvent) {
        isHovered = true;
        x = event.pageX + 5;
        y = event.pageY + 5;
    }

    function mouseMove(event:MouseEvent) {
        x = event.pageX + 5;
        y = event.pageY + 5;
    }

    function mouseLeave() {
        isHovered = false;
    }
</script>

<!-- svelte-ignore a11y-no-static-element-interactions -->
<!-- svelte-ignore a11y-mouse-events-have-key-events -->
<div
    on:mouseover={mouseOver}
    on:mouseleave={mouseLeave}
    on:mousemove={mouseMove}>
    <slot />
</div>

{#if isHovered}
    <div style="top: {y}px; left: {x}px;" class="tooltip">{text}</div>
{/if}

<style>
    .tooltip {
        border: 1px solid #ddd;
        box-shadow: 1px 1px 1px #ddd;
        background: #f6f6f6;
        color: #2A2459;
        border-radius: 4px;
        padding: 4px;
        position: relative;
    }
</style>
